import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppComponent } from './app.component';
import { MediaItemComponent } from './meida-item.component';

// root module
@NgModule({
  declarations: [
    AppComponent,
    MediaItemComponent
  ],
  imports: [
    BrowserModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
// declarations - components, pipes, directives avaialable to module that dont come from another module
// imports - brings in other angular modules
// bootstrap - used for root, lets angular know the starting point for bootstrap process
export class AppModule { }
