import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { EnglandComponent } from './england/england.component';
import { FranceComponent } from './france/france.component';
import { GreeceComponent } from './greece/greece.component';
import { SpainComponent } from './spain/spain.component';
import { AccountComponent } from './account/account.component';
import { ContactComponent } from './contact/contact.component';
import { HomeComponent } from './home/home.component';
import { NotfoundComponent } from './notfound/notfound.component';


const routes: Routes = [
  { path: 'home', component: HomeComponent },
  { path: 'england', component: EnglandComponent },
  { path: 'france', component: FranceComponent },
  { path: 'account', component: AccountComponent },
  { path: 'greece', component: GreeceComponent },
  { path: 'spain', component: SpainComponent },
  { path: 'contact', component: ContactComponent },
  { path: '**', component: NotfoundComponent}
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
